Summary:	Implementation of E-component of Network Intrusion Detection System
Summary(pl.UTF-8):	Implementacja E-komponentu NIDS (sieciowego systemu wykrywania intruzów)
Name:		libnids
Version:	1.26
Release:	1
Epoch:		1
# contains modified Linux 2.0.36 sources, so v2 only
License:	GPL v2
Group:		Libraries
#Source0Download: https://github.com/MITRECND/libnids/releases
Source0:	https://github.com/MITRECND/libnids/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	1afca870420cd1e73251c72561bb0ea5
Patch0:		%{name}-nolibs.patch
Patch1:		gcc5.patch
URL:		https://libnids.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.2.0
BuildRequires:	libnet-devel
BuildRequires:	libpcap-devel
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libnids is an implementation of an E-component of Network Intrusion
Detection System. It emulates the IP stack of Linux 2.0.x. Libnids
offers IP defragmentation, TCP stream assembly and TCP port scan
detection.

%description -l pl.UTF-8
Libnids jest implementacją E-komponentu Systemu Wykrywania Intruzów w
Sieci (NIDS). Emuluje ona stos IP Linuksa 2.0.x. Libnids oferuje
defragmentację IP, asemblację strumienia TCP oraz wykrywanie
skanowania portów TCP.

%package devel
Summary:	Header files and development documentation for libnids
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumetacja do libnids
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libpcap-devel

%description devel
Header files and development documentation for libnids.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumetacja do libnids.

%package static
Summary:	Static libnids library
Summary(pl.UTF-8):	Biblioteka statyczna libnids
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libnids library.

%description static -l pl.UTF-8
Biblioteka statyczna libnids.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%{__autoheader}
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	install_prefix=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README CREDITS MISC doc/{API.html,LINUX,PERFORMANCE,TESTS,bugtraq_post}
%attr(755,root,root) %{_libdir}/libnids.so.%{version}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnids.so
%{_includedir}/nids.h
%{_mandir}/man3/libnids.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libnids.a
%changelog
* Mon Mar 11 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnids.git;a=log;h=master

* Wed Mar 06 2024 Jakub Bogusz <qboosh@pld-linux.org> ca008f4
- updated to 1.26

* Sun May 24 2020 Jakub Bogusz <qboosh@pld-linux.org> b78da94
- License is GPLv2 since v1.1; release 4

* Sat May 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 412ab95
- drop libnet1 patch, switch to libnet >= 1.1; dsniff also uses libnet 1.1+ now
- release 3

* Mon Mar 28 2016 Jan Rękorajski <baggins@pld-linux.org> ddd7b99
- apply gcc patch

* Mon Mar 28 2016 Jan Rękorajski <baggins@pld-linux.org> 8602fef
- fix build with gcc 5
- rel 2

* Tue Jul 27 2010 zbyniu <zbyniu@pld-linux.org> 18070bd
- up to 1.24; -elif.patch obsoleted

* Thu Apr 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2fb855c
- release 3

* Fri Aug 28 2009 duddits <duddits@pld-linux.org> 1412d1f
- for gcc 4.4

* Fri Aug 28 2009 duddits <duddits@pld-linux.org> 66d7213
- rel. 2
- elif.patch for gcc 4.4 added

* Mon Jul 14 2008 Jakub Bogusz <qboosh@pld-linux.org> f3b7ef9
- updated to 1.23 (fixes remotely triggerable NULL dereference)

* Fri Jan 04 2008 zbyniu <zbyniu@pld-linux.org> 8dafd0b
- up to 1.22

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fef6daa
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 725d5df
- converted to UTF-8

* Mon May 15 2006 Jakub Bogusz <qboosh@pld-linux.org> dbe966c
- updated to 1.21 (few features added, new soname)

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> 82d4cb5
- orphaned, outdated

* Mon Jun 20 2005 Jakub Bogusz <qboosh@pld-linux.org> d7b89e3
- typo

* Mon Jun 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 6dc93f3
- strict internal deps, unified config.sub update

* Mon Jun 06 2005 zbyniu <zbyniu@pld-linux.org> dda67f3
- BR: libtool

* Fri Feb 11 2005 areq <areq@pld-linux.org> 51ee81d
- 1.20

* Mon Aug 09 2004 Sławomir Paszkiewicz <paszczus@pld-linux.org> 3a32a9b
- updated to 1.19

